package boids;

public class Vector2D {
    private double xPos; //x coordinate
    private double yPos; //y coordinate

    public Vector2D(){
        this.xPos = 0.;
        this.yPos = 0.;
    }

    public Vector2D(double x, double y){
        this.xPos = x;
        this.yPos = y;
    }

    public double getX(){
        return xPos;
    }

    public double getY(){
        return yPos;
    }

    public void setDirection(double x, double y){
        xPos = x;
        yPos = y;
    }

    public void add(Vector2D addVector){
        xPos += addVector.getX();
        yPos += addVector.getY();
    }

    public void add(double x, double y){
        xPos += x;
        yPos += y;
    }

    public void subtract(double x, double y){
        xPos -= x;
        yPos -= y;
    }

    public void subtract(Vector2D subVector){
        xPos -= subVector.getX();
        yPos -= subVector.getY();
    }

    public void division(double divider) {
        if (divider!=0){
             xPos = (xPos/divider);
             yPos = (yPos/divider);
        }
    }

    public double distance() {
        return Math.sqrt(Math.pow(xPos, 2) + Math.pow(yPos, 2));
    }

    public double angle(){
        return Math.atan2(yPos,xPos);
    }

}

